Xeonr Developer Docs

Lookup Organisation By Hostname

POST
/xeonr.auth.private.v1.OrganisationService/LookupOrganisationByHostname

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

hostname?string
Length1 <= length <= 253
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.OrganisationService/LookupOrganisationByHostname" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "organisation": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "domain": "string",
    "createdAt": "2023-01-15T01:30:15.01Z",
    "updatedAt": "2023-01-15T01:30:15.01Z",
    "config": {
      "brand": "string",
      "logoUrl": "string",
      "primaryColor": "string",
      "gradientColors": [
        "string"
      ],
      "font": {
        "family": "string",
        "url": "string"
      },
      "allowSignup": true,
      "userScopedClients": true
    },
    "iacManaged": true
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}